<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Grave Manager - Grave list</title>                       
        <link rel="stylesheet" href="<c:url value="/default.css"/>" type="text/css">
    </head>
    <body>
        <h1>Grave list</h1>

        <table>
            <tr><th>Row</th><th>Column</th><th>Capacity</th><th>Note</th></tr>
        <c:forEach items="${graves}" var="grave" varStatus="loopStatus">
            <tr class="${loopStatus.index % 2 == 0 ? 'odd' : 'even'}">
                <td><c:out value="${grave.row}"/></td>
                <td><c:out value="${grave.column}"/></td>
                <td><c:out value="${grave.capacity}"/></td>
                <td><c:out value="${grave.note}"/></td>                
            </tr>
        </c:forEach>
        </table>
        
        <p><a href="<c:url value="/AddGrave"/>">Add Grave</a></p>
        
    </body>
</html>
