<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Grave Manager - Add new Grave</title>
        <link rel="stylesheet" href="<c:url value="/default.css"/>" type="text/css">
    </head>
    <body>
        <h1>Add new Grave</h1>

        <c:if test="${not empty error}">
            <p class="error">
                <c:out escapeXml="false" value="${error}"/>
            </p>
        </c:if>

        <form action="<c:url value="/AddGrave"/>" method="post">
            <table>
                <tr>
                    <th>Row:</th>
                    <td><input type="text" name="row" value="${graveForm.row}"/></td>
                </tr>
                <tr>
                    <th>Column:</th>
                    <td><input type="text" name="column" value="${graveForm.column}"/></td>
                </tr>
                <tr>
                    <th>Capacity:</th>
                    <td><input type="text" name="capacity" value="${graveForm.capacity}"/></td>
                </tr>
                <tr>
                    <th>Note:</th>
                    <td><input type="text" name="note" value="${graveForm.note}"/></td>
                </tr>
            </table>
            <p>
                <input type="Submit" value="Add Grave" name="submit"/>
                <input type="Submit" value="Cancel" name="cancel"/>
            </p>
        </form>
    </body>
</html>
